> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/get-started/faq.md).

# FAQ

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

### General

{% content-ref url="/pages/U0H5SjsUyD0fJeWV4u7k" %}
[Why do I need to enable largeHeap for my app?](/android/get-started/faq/large-heap.md)
{% endcontent-ref %}

{% content-ref url="/pages/wdmF98zr6cmZCb57mZc8" %}
[What is external converter?](/android/get-started/faq/external-converter.md)
{% endcontent-ref %}

{% content-ref url="/pages/YowJSZpocRCOjc1fI0FC" %}
[How do I use Apryse React Native with TypeScript?](/android/get-started/faq/react-native-use.md)
{% endcontent-ref %}

{% content-ref url="/pages/cmvyAV2meXAh7fJkMf4M" %}
[Does the Apryse SDK support XFA/LifeCycle PDF forms?](/android/get-started/faq/xfa-lifecycle-support.md)
{% endcontent-ref %}

{% content-ref url="/pages/8nU1M5JvcgvXXwSANzMq" %}
[Apryse full or standard? Which version is for me?](/android/get-started/faq/full-vs-standard.md)
{% endcontent-ref %}

{% content-ref url="/pages/RfjzyWWcZ4pZDT7oiBHr" %}
[Apryse for Android system requirements](/android/get-started/faq/supported-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/OxV9HicveixCjdlmes4F" %}
[How to extract XML from a XFA PDF form?](/android/get-started/faq/extract-xml-from-xfa.md)
{% endcontent-ref %}

{% content-ref url="/pages/8oFW67pPQTOmBqpKQy8s" %}
[Add license keys](/android/get-started/faq/add-license.md)
{% endcontent-ref %}

{% content-ref url="/pages/iCGSS5f3VkiLVcu0bP8P" %}
[Reduce the Size of Your APK](/android/get-started/faq/reduce-apk-size.md)
{% endcontent-ref %}

{% content-ref url="/pages/k5uAdMfzRhdCA5fzFLRu" %}
[Reduce memory consumption](/android/get-started/faq/pdfviewctrl-min-memory.md)
{% endcontent-ref %}

### Running Samples

{% content-ref url="/pages/5NQJ9zRYaMhI74lQ44Vm" %}
[How do I run Apryse sample projects in Android Studio?](/android/get-started/faq/run-in-android-studio.md)
{% endcontent-ref %}

### React Native

{% content-ref url="/pages/JNURpX5GdSIL1moBhZJg" %}
[What are type errors in Apryse React Native?](/android/get-started/faq/react-native-type-errors.md)
{% endcontent-ref %}

### Troubleshooting

{% content-ref url="/pages/ZLiX4YG9QBi2c1QessyX" %}
[DetachCurrentThread warnings](/android/get-started/faq/detach-current-thread.md)
{% endcontent-ref %}

{% content-ref url="/pages/5bmwC3SwpEvgXCAcFfhP" %}
[Unable to load layout font metrics error](/android/get-started/faq/missing-office-res.md)
{% endcontent-ref %}

{% content-ref url="/pages/01zjj18h9KuMxu3zkRzC" %}
[Multidex error for apps with over 64K methods](/android/get-started/faq/multidex.md)
{% endcontent-ref %}

### Integration

{% content-ref url="/pages/oFi1YK61h7v5cYIjLR6S" %}
[Common Apryse Android integration issues](/android/get-started/faq/troubleshooting-integration.md)
{% endcontent-ref %}

{% content-ref url="/pages/L1zaSOOsuzXNQsj7Z1fZ" %}
[How do I use the snapshot version of Apryse Android?](/android/get-started/faq/snapshot.md)
{% endcontent-ref %}

{% content-ref url="/pages/ZoL3JoM8fmuc7RfNRUOg" %}
[How do I use the standard version of Apryse Android?](/android/get-started/faq/standard-version.md)
{% endcontent-ref %}

{% content-ref url="/pages/ezFXh1ErIZBmSn68iXc9" %}
[How do I add Apryse to an app that uses AndroidX?](/android/get-started/faq/androidx.md)
{% endcontent-ref %}

{% content-ref url="/pages/zy4fmhdAqMAICBEXOXq9" %}
[How do I upgrade to the latest version of Apryse?](/android/get-started/faq/upgrading.md)
{% endcontent-ref %}

{% content-ref url="/pages/2ps4pDhBxxSMtELg98J2" %}
[Why do I need to enable vectorDrawables support for my app?](/android/get-started/faq/vector-drawables.md)
{% endcontent-ref %}

{% content-ref url="/pages/ZO4q4TQvCtSf1q2uKCLh" %}
[Does my app need cleartext network traffic support?](/android/get-started/faq/uses-clear-text-traffic.md)
{% endcontent-ref %}

{% content-ref url="/pages/izx8Y4i8q326HutTGubD" %}
[How to integrate the Apryse libraries from source](/android/get-started/faq/run-tools-source.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/get-started/faq.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
